// /redux/thunks/database/fetchPoiIconsDataThunk.js
import { createAsyncThunk } from "@reduxjs/toolkit";
import { fetchPoiIconsDataService } from "../../../services/database/fetchPoiIconsDataService";

export const fetchPoiIconsDataThunk = createAsyncThunk("poiIconsData/fetch", async (_, thunkAPI) => {
  try {
    return await fetchPoiIconsDataService();
  } catch (err) {
    return thunkAPI.rejectWithValue(err.message);
  }
});
